/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <DEBUG.h>
#include <stdlib.h>

void init_UART_Tx(void)
{  
    /* Initialize SCB for UART operation with GUI selected settings */
    (void) Cy_SCB_UART_Init(UART_Tx_HW, &UART_Tx_config, NULL);
    /* Enable UART */
    Cy_SCB_UART_Enable(UART_Tx_HW);
    /* Put data into TX FIFO to be transferred */
    Cy_SCB_UART_PutString(UART_Tx_HW, "Welcome to PsoC6");
    
    Cy_SCB_UART_Put(UART_Tx_HW,0x0D);            //(\r=0x0D) (carriage return) Moves the active position to the initial position of the current line.
    Cy_SCB_UART_Put(UART_Tx_HW,0x0A);            //(\n=0x0A) (New line) Moves the active position to the next line
    while(Cy_SCB_UART_IsTxComplete(UART_Tx_HW)!=true);
}

void IntToAsciiTx(uint16 Hex)
{   
    uint8 i;
    uint8 Digit[5];
    
    Digit[0]=((Hex/10000)%10)+'0';          /* Ten Thousand place digit*/
    Digit[1]=((Hex/1000)%10)+'0';           /* Thousand place digit*/
    Digit[2]=((Hex/100)%10)+'0';            /* Hundred place digit*/   
    Digit[3]=((Hex/10)%10)+'0';             /* Ten place digit*/
    Digit[4]=((Hex/1)%10)+'0';              /* Unit place digit*/
    
    for(i=0;i<sizeof(Digit);i++)
    {
        Cy_SCB_UART_Put(UART_Tx_HW,Digit[i]);
    }
}

/* [] END OF FILE */
