/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
//S/ This file is common to both Cores (CM0+ & CM4)

#include "project.h"
#include <DEBUG.h>

#define ZERO 0

#define CM0P_     0
#define CM4_      1

#define UART_INIT_CORE   CM4_

// "CM0P.hex" file generated by Cortex M0+ core.
// "CM4.hex" file generated by Cortex M4 core.

/* Following are the test results for the different combinations of CODE_TYPE and UART_INIT_CORE 
   
   a) CODE_TYPE=CM0P_ and UART_INIT_CORE=CM0P_ (.hex file written in flash=CM0P.hex)
      Result= Code is working since everthing is written in CM0P.hex
   b) CODE_TYPE=CM0P_ and UART_INIT_CORE=CM4_ (.hex file written in flash=CM0P.hex)
      Result= Code written in CM0P.hex is working but code written in CM4.hex is not working
   c) CODE_TYPE=CM0P_ and UART_INIT_CORE=CM4_ (.hex file written in flash=CM4.hex)
      Result= Code written in CM0P.hex as well as CM4.hex is working

    Conclusion: CM4.hex covers code written in both cores, while CM0P.hex covers code written only in Cortex M0+ hence when 
                CM0P.hex is written in flash the code written in Cortex M4 is not executed.
    
    Note: Always write CM4.hex file flash.             
*/

/* [] END OF FILE */
