/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"
#include <common.h>

int main(void)
{
    __enable_irq(); /* Enable global interrupts. */

    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
    
    //S/ Variables for general use
    uint16_t CountCM0P=ZERO;                      
        
    /* Enable CM4.  CY_CORTEX_M4_APPL_ADDR must be updated if CM4 memory layout is changed. */
    Cy_SysEnableCM4(CY_CORTEX_M4_APPL_ADDR);          
    
    #if(UART_INIT_CORE==CM0P_)       
    init_UART_Tx();
    #endif 

    for(;;)
    {
        //S/ increment counter
        CountCM0P++;
        
        //S/ This function can be used for debugging to send data on terminal at baudrate=115200
        for(uint8 i=0;i<10;i++)
        {
            Cy_SCB_UART_Put(UART_Tx_HW,' ');
        }
        IntToAsciiTx(CountCM0P+10);
        //S/ (\r=0x0D) (carriage return) Moves the active position to the initial position of the current line.
        Cy_SCB_UART_Put(UART_Tx_HW,0x0D);  
        
        //S/ update after 10ms delay
        CyDelay(1000);
    }
}

/* [] END OF FILE */
